## shut-up 0.3.2

=== Makefile ===
CASK ?= cask
EMACS ?= emacs

all: test

test:
	${CASK} exec ert-runner

.PHONY:	all test

=== debian/changelog ===
shut-up (0.3.2-1) unstable; urgency=medium

  * Initial release. (Closes: #807981)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 05 Mar 2016 08:06:22 -0700

=== debian/control ===
Source: shut-up
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17), elpa-f, s-el, dash-el
Standards-Version: 3.9.7
Homepage: https://github.com/cask/shut-up
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/shut-up.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/shut-up.git/

Package: elpa-shut-up
Architecture: all
Depends: ${misc:Depends}, emacs, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: Emacs Lisp macros to quieten Emacs
 This package provides several macros to quieten Emacs output.
 .
 The package is especially useful to make console output more useful
 when running the test suites of Emacs Lisp addon packages.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa

override_dh_auto_build:
	/bin/true

override_dh_auto_test:
	emacs --batch -Q  \
		--eval "(progn (require 'package) (add-to-list 'package-directory-list \"/usr/share/emacs/site-lisp/elpa-src\"))" \
		-f package-initialize \
		-L /usr/share/emacs/site-lisp/dash-el \
		-L /usr/share/emacs/site-lisp/s-el \
		-l test/test-helper.el \
		-l test/shut-up-test.el \
		--eval "(ert-run-tests-batch-and-exit)"

## shut-up 0.3.3

=== debian/changelog ===
shut-up (0.3.3-4) unstable; urgency=medium

  * Team upload
  * Disable test failing due to native compilation. Bug fix: "FTBFS:
    make: *** [debian/rules:4: build] Error 25", thanks to Lucas Nussbaum
    (Closes: #1020190).

 -- David Bremner <bremner@debian.org>  Sun, 02 Oct 2022 09:53:30 -0300

shut-up (0.3.3-3) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs24 from Enhances (package does not exist in bullseye).

  [ Sean Whitton ]
  * Update build-deps s-el -> elpa-s, dash-el -> elpa-dash (Closes: #992904).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 24 Aug 2021 14:21:45 -0700

shut-up (0.3.3-2) UNRELEASED; urgency=medium

  * Drop spurious slash from end of Vcs-Git.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 29 Dec 2020 13:07:54 -0700

shut-up (0.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update to debhelper compat 13 & use d/control not d/compat.
  * Drop no-upstream-changelog Lintian override as this tag no longer exists.
  - Drop --parallel from d/rules.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 29 Dec 2020 13:06:20 -0700

shut-up (0.3.2-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 14:19:58 -0300

shut-up (0.3.2-2) unstable; urgency=medium

  * Rebuild against newer dh-elpa to fix byte compilation against
    unversioned bin:emacs.
  * Update Maintainer field for team rename.
  * Drop d/source/local-options for dgit.
  * Declare compliance with Debian Policy 4.1.4.
    - Drop Built-Using.
  * Correct dependency emacs->emacsen-common.
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Jun 2018 19:41:57 +0100

=== debian/control ===
Source: shut-up
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper-compat (= 13), dh-elpa (>= 0.0.17), elpa-f, elpa-s, elpa-dash
Standards-Version: 4.1.4
Homepage: https://github.com/cask/shut-up
Vcs-Git: https://salsa.debian.org/emacsen-team/shut-up.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/shut-up

Package: elpa-shut-up
Architecture: all
Depends: ${misc:Depends}, emacsen-common, ${elpa:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Emacs Lisp macros to quieten Emacs
 This package provides several macros to quieten Emacs output.
 .
 The package is especially useful to make console output more useful
 when running the test suites of Emacs Lisp addon packages.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --parallel --with elpa
+	dh $@ --with elpa
 
 override_dh_auto_build:
 	/bin/true

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/shut-up-$1\.tar\.gz/ \
  https://github.com/cask/shut-up/tags .*/v?(\d\S*)\.tar\.gz
